Upstream information

CVE-2017-1000159 at MITRE

Description

Command injection in evince via filename when printing to PDF. This affects versions earlier than 3.25.91.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.6 4.6
Vector AV:L/AC:L/Au:N/C:P/I:P/A:P AV:L/AC:L/Au:N/C:P/I:P/A:P
Access Vector Local Local
Access Complexity Low Low
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
CVSS v3 Scores
  SUSE
Base Score 5.3
Vector AV:L/AC:L/PR:N/UI:R/S:U/C:L/I:L/A:L
Access Vector Local
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact Low
Integrity Impact Low
Availability Impact Low
SUSE Bugzilla entry: 1070046 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP3
  • evince >= 3.20.2-6.22.9
  • evince-browser-plugin >= 3.20.2-6.22.9
  • evince-lang >= 3.20.2-6.22.9
  • evince-plugin-djvudocument >= 3.20.2-6.22.9
  • evince-plugin-dvidocument >= 3.20.2-6.22.9
  • evince-plugin-pdfdocument >= 3.20.2-6.22.9
  • evince-plugin-psdocument >= 3.20.2-6.22.9
  • evince-plugin-tiffdocument >= 3.20.2-6.22.9
  • evince-plugin-xpsdocument >= 3.20.2-6.22.9
  • libevdocument3-4 >= 3.20.2-6.22.9
  • libevview3-3 >= 3.20.2-6.22.9
  • nautilus-evince >= 3.20.2-6.22.9
  • typelib-1_0-EvinceDocument-3_0 >= 3.20.2-6.22.9
  • typelib-1_0-EvinceView-3_0 >= 3.20.2-6.22.9
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-638
SUSE Linux Enterprise Server 11 SP4
  • evince >= 2.28.2-0.7.3.1
  • evince-doc >= 2.28.2-0.7.3.1
  • evince-lang >= 2.28.2-0.7.3.1
Patchnames:
slessp4-evince-13502
SUSE Linux Enterprise Server 12 SP3
  • evince >= 3.20.2-6.22.9
  • evince-browser-plugin >= 3.20.2-6.22.9
  • evince-lang >= 3.20.2-6.22.9
  • evince-plugin-djvudocument >= 3.20.2-6.22.9
  • evince-plugin-dvidocument >= 3.20.2-6.22.9
  • evince-plugin-pdfdocument >= 3.20.2-6.22.9
  • evince-plugin-psdocument >= 3.20.2-6.22.9
  • evince-plugin-tiffdocument >= 3.20.2-6.22.9
  • evince-plugin-xpsdocument >= 3.20.2-6.22.9
  • libevdocument3-4 >= 3.20.2-6.22.9
  • libevview3-3 >= 3.20.2-6.22.9
  • nautilus-evince >= 3.20.2-6.22.9
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-638
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • evince >= 2.28.2-0.7.3.1
  • evince-doc >= 2.28.2-0.7.3.1
  • evince-lang >= 2.28.2-0.7.3.1
Patchnames:
slessp4-evince-13502
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • evince >= 3.20.2-6.22.9
  • evince-browser-plugin >= 3.20.2-6.22.9
  • evince-lang >= 3.20.2-6.22.9
  • evince-plugin-djvudocument >= 3.20.2-6.22.9
  • evince-plugin-dvidocument >= 3.20.2-6.22.9
  • evince-plugin-pdfdocument >= 3.20.2-6.22.9
  • evince-plugin-psdocument >= 3.20.2-6.22.9
  • evince-plugin-tiffdocument >= 3.20.2-6.22.9
  • evince-plugin-xpsdocument >= 3.20.2-6.22.9
  • libevdocument3-4 >= 3.20.2-6.22.9
  • libevview3-3 >= 3.20.2-6.22.9
  • nautilus-evince >= 3.20.2-6.22.9
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-638
SUSE Linux Enterprise Software Development Kit 11 SP4
  • evince >= 2.28.2-0.7.3.1
  • evince-devel >= 2.28.2-0.7.3.1
Patchnames:
sdksp4-evince-13502
SUSE Linux Enterprise Software Development Kit 12 SP3
  • evince >= 3.20.2-6.22.9
  • evince-devel >= 3.20.2-6.22.9
  • typelib-1_0-EvinceDocument-3_0 >= 3.20.2-6.22.9
  • typelib-1_0-EvinceView-3_0 >= 3.20.2-6.22.9
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-638
SUSE Linux Enterprise Workstation Extension 12 SP3
  • evince >= 3.20.2-6.22.9
  • typelib-1_0-EvinceDocument-3_0 >= 3.20.2-6.22.9
  • typelib-1_0-EvinceView-3_0 >= 3.20.2-6.22.9
Patchnames:
SUSE-SLE-WE-12-SP3-2018-638
openSUSE Leap 42.3
  • evince >= 3.20.2-9.1
  • evince-browser-plugin >= 3.20.2-9.1
  • evince-browser-plugin-debuginfo >= 3.20.2-9.1
  • evince-debuginfo >= 3.20.2-9.1
  • evince-debugsource >= 3.20.2-9.1
  • evince-devel >= 3.20.2-9.1
  • evince-lang >= 3.20.2-9.1
  • evince-plugin-comicsdocument >= 3.20.2-9.1
  • evince-plugin-comicsdocument-debuginfo >= 3.20.2-9.1
  • evince-plugin-djvudocument >= 3.20.2-9.1
  • evince-plugin-djvudocument-debuginfo >= 3.20.2-9.1
  • evince-plugin-dvidocument >= 3.20.2-9.1
  • evince-plugin-dvidocument-debuginfo >= 3.20.2-9.1
  • evince-plugin-pdfdocument >= 3.20.2-9.1
  • evince-plugin-pdfdocument-debuginfo >= 3.20.2-9.1
  • evince-plugin-psdocument >= 3.20.2-9.1
  • evince-plugin-psdocument-debuginfo >= 3.20.2-9.1
  • evince-plugin-tiffdocument >= 3.20.2-9.1
  • evince-plugin-tiffdocument-debuginfo >= 3.20.2-9.1
  • evince-plugin-xpsdocument >= 3.20.2-9.1
  • evince-plugin-xpsdocument-debuginfo >= 3.20.2-9.1
  • libevdocument3-4 >= 3.20.2-9.1
  • libevdocument3-4-debuginfo >= 3.20.2-9.1
  • libevview3-3 >= 3.20.2-9.1
  • libevview3-3-debuginfo >= 3.20.2-9.1
  • nautilus-evince >= 3.20.2-9.1
  • nautilus-evince-debuginfo >= 3.20.2-9.1
  • typelib-1_0-EvinceDocument-3_0 >= 3.20.2-9.1
  • typelib-1_0-EvinceView-3_0 >= 3.20.2-9.1
Patchnames:
openSUSE-2018-367


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP2 evince In progress
SUSE Linux Enterprise Desktop 12 SP3 evince Released
SUSE Linux Enterprise SDK 11 SP4 evince Released
SUSE Linux Enterprise SDK 12 SP2 evince In progress
SUSE Linux Enterprise SDK 12 SP3 evince Released
SUSE Linux Enterprise Server 11 SP3 LTSS evince Affected
SUSE Linux Enterprise Server 11 SP4 evince Released
SUSE Linux Enterprise Server 12 SP2 evince In progress
SUSE Linux Enterprise Server 12 SP3 evince Released
SUSE Linux Enterprise Workstation Extension 12 SP2 evince In progress
SUSE Linux Enterprise Workstation Extension 12 SP3 evince Released